Subject: [PATCH 2/3] ARM: PRIMA2: make mach-prima2 common for all SiRF series SoC

From: [email-masked] (Arnd Bergmann)
Date: Mon, 20 Aug 2012 21:06:42 +0000

On Monday 20 August 2012, Barry Song wrote:
> From: Barry Song <[email-masked]>
> 
> We will have SiRF Marco and Polo, so rename the dir to mach-sirf
> and add Kconfig menu
> 
> Signed-off-by: Baohua Song <[email-masked]>
> ---
>  arch/arm/Kconfig                                   |   10 +++++-----
>  arch/arm/Makefile                                  |    2 +-
>  arch/arm/mach-sirf/Kconfig                         |   16 ++++++++++++++++
>  arch/arm/{mach-prima2 => mach-sirf}/Makefile       |    0
>  arch/arm/{mach-prima2 => mach-sirf}/Makefile.boot  |    0
>  .../arm/{mach-prima2 => mach-sirf}/board-generic.c |    0
>  arch/arm/{mach-prima2 => mach-sirf}/common.h       |    0
>  .../include/mach/clkdev.h                          |    0
>  .../include/mach/debug-macro.S                     |    0
>  .../include/mach/entry-macro.S                     |    0
>  .../{mach-prima2 => mach-sirf}/include/mach/gpio.h |    0
>  .../include/mach/hardware.h                        |    0
>  .../{mach-prima2 => mach-sirf}/include/mach/irqs.h |    0
>  .../{mach-prima2 => mach-sirf}/include/mach/map.h  |    0

I'm not sure if we should rename all of these right now. I've been thinking
about moving all of recent and simple ARMv7 based platforms (socfpga, zynq,
prima2, ...) into a single directory, where they would basically end up
being one file per platform. We should discuss this at the ARM mini summit,
and I can let you know the outcome of it. I don't object on the rename in
principle, but it might end up causing extra churn.

> +if ARCH_SIRF
> +
> +choice
> +       prompt "Qualcomm SiRF SoC Type"
> +       default ARCH_PRIMA2

I'm curious about this: I did read that Samsung acquired CSR, and
you list the chips as Qualcomm. What's the story here?

> +config ARCH_PRIMA2
> +       bool "CSR SiRFSoC PRIMA2 ARM Cortex A9 Platform"
> +       select CPU_V7
> +       select ZONE_DMA
> +       help
> +          Support for CSR SiRFSoC ARM Cortex A9 Platform
> +
> +endchoice

Is this still needed? When you add other SoC type here, would you
build kernels that are for just one of them in practice?  If they
are completely generic anyway, you can skip the submenu.

	Arnd